var NVfile = {

    file : null,

    init : function()
    {
        try {
            this.file = NVcommon.getProfileDir().clone();
            this.file.append("navtracer.dat");
            dump("INIT\n");
            if ( !this.file.exists() ) {
                this.file.create(this.file.NORMAL_FILE_TYPE, 0666);
                dump("File created\n");
            }
            else {
              dump("File Exists\n");
            }
            dump("INIT done\n");
        }
        catch(ex) {
            dump("NVfile ERROR: init\n" 
                    + ex + "\n");
        }
    },

    clear : function() 
    {
      this.file = null;
    },

    /**
     * Save the data into the file.
     */
    flush : function()
    {
    },

    sanitize : function(aVal)
    {
        return aVal.match(/^(<|>|&)/) ? (" " + aVal) : aVal;
    },

    addItem : function(type, date, title, uri, referrer)
    {
	  this.file.write()
    },
    
    writeToFile : function (type, date, title, url, referrer) 
    { //test d'?criture en local d'un contenu dans un fichier
      try {

/*
        var ioService = NVservice.IO;
        var uri = ioService.newFileURI(this.file);
        var channel = ioService.newChannelFromURI(uri);
        */
        var outputStream = Components.classes["@mozilla.org/network/file-output-stream;1"]
                                    .createInstance(Components.interfaces.nsIFileOutputStream);
        outputStream.init(this.file, 0x04|0x08|0x10, 00777, null);

        var buffer = type + " " + date + " " + title + " " + url+ " " + referrer.toString() + "\n";

        outputStream.write(buffer, buffer.length);
        outputStream.flush();
        outputStream.close();
      } catch (e) { dump("NVfile : " + e + "\n"); }
    }
}